Botan 1.10.17

Public Member Functions | List of all members
Botan::Illegal_Point Struct Reference

`#include <point_gfp.h>`

Inheritance diagram for Botan::Illegal_Point:

## Public Member Functions
| Illegal_Point (const std::string &err="Malformed ECP point detected")

## Detailed Description

Exception thrown if some form of illegal point is decoded

Definition at line 32 of file point_gfp.h.

## Constructor & Destructor Documentation

## ◆ Illegal_Point()

Botan::Illegal_Point::Illegal_Point | ( | const std::string & | err = `"Malformed ECP point detected"` | ) |
| inline

Definition at line 34 of file point_gfp.h.

34 :
35 Exception(err) {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19

The documentation for this struct was generated from the following file:

- src/math/ec_gfp/point_gfp.h